summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author mwgg2015-01-06 17:46:27 +0100
committer Willy Sudiarto Raharjo2015-01-07 17:12:09 +0100
commitf26691986232bfca9fca31a70142146605f07e4e (patch)
tree463df962fe3ce40ae20cd8496d7c5b7dd96faea4
parentb67c54bd18cb31734c268c8a09fc830ca23c1cf3 (diff)
downloadslackbuilds-f26691986232bfca9fca31a70142146605f07e4e.tar.gz
system/firejail: Added (security sandbox).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/firejail/README11
-rw-r--r--system/firejail/firejail.SlackBuild96
-rw-r--r--system/firejail/firejail.info10
-rw-r--r--system/firejail/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/system/firejail/README b/system/firejail/README
new file mode 100644
index 0000000000..0ec771c941
--- /dev/null
+++ b/system/firejail/README
@@ -0,0 +1,11 @@
+firejail
+
+Firejail is a SUID security sandbox program that reduces the risk of security
+breaches by restricting the running environment of untrusted applications using
+Linux namespaces. It allows a process and all its descendants to have their own
+private view of the globally shared kernel resources, such as the network stack,
+process table, mount table.
+
+Firejail can sandbox any type of processes: servers, graphical applications, and
+even user login sessions. Written in C with virtually no dependencies, it should
+work on any Linux computer with a 3.x kernel version.
diff --git a/system/firejail/firejail.SlackBuild b/system/firejail/firejail.SlackBuild
new file mode 100644
index 0000000000..8bc527a4aa
--- /dev/null
+++ b/system/firejail/firejail.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for firejail
+
+# Copyright 2015 mwgg
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=firejail
+VERSION=${VERSION:-0.9.18}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+sed -i "s|lib/firejail|lib${LIBDIRSUFFIX=}/firejail|" Makefile
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/firejail/firejail.info b/system/firejail/firejail.info
new file mode 100644
index 0000000000..9c00da6013
--- /dev/null
+++ b/system/firejail/firejail.info
@@ -0,0 +1,10 @@
+PRGNAM="firejail"
+VERSION="0.9.18"
+HOMEPAGE="http://l3net.wordpress.com/projects/firejail/"
+DOWNLOAD="http://sourceforge.net/projects/firejail/files/firejail/firejail-0.9.18.tar.bz2"
+MD5SUM="9ca253795fdc29ef65b3495844e38e3c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="mwgg"
+EMAIL="m@mw.gg"
diff --git a/system/firejail/slack-desc b/system/firejail/slack-desc
new file mode 100644
index 0000000000..91eca2bf91
--- /dev/null
+++ b/system/firejail/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+firejail: firejail (security sandbox)
+firejail:
+firejail: Firejail is a SUID security sandbox program that reduces the risk of
+firejail: security breaches by restricting the running environment of untrusted
+firejail: applications using Linux namespaces. It allows a process and all its
+firejail: descendants to have their own private view of the globally shared
+firejail: kernel resources, such as the network stack, process table, mount
+firejail: table.
+firejail:
+firejail: Homepage: http://l3net.wordpress.com/projects/firejail/
+firejail: